org.apache.lucene.index

## Enum BaseTermVectorsFormatTestCase.Options

- java.lang.Object
- - java.lang.Enum<BaseTermVectorsFormatTestCase.Options>
  - - org.apache.lucene.index.BaseTermVectorsFormatTestCase.Options

All Implemented Interfaces:
  Serializable, Comparable<BaseTermVectorsFormatTestCase.Options>

Enclosing class:
  BaseTermVectorsFormatTestCase

    protected static enum BaseTermVectorsFormatTestCase.Options
    extends Enum<BaseTermVectorsFormatTestCase.Options>

A combination of term vectors options.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NONE`
`OFFSETS`
`POSITIONS`
`POSITIONS_AND_OFFSETS`
`POSITIONS_AND_OFFSETS_AND_PAYLOADS`
`POSITIONS_AND_PAYLOADS`

### Method Summary

Methods
`static BaseTermVectorsFormatTestCase.Options` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BaseTermVectorsFormatTestCase.Options[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final BaseTermVectorsFormatTestCase.Options NONE

#### POSITIONS

    public static final BaseTermVectorsFormatTestCase.Options POSITIONS

#### OFFSETS

    public static final BaseTermVectorsFormatTestCase.Options OFFSETS

#### POSITIONS_AND_OFFSETS

    public static final BaseTermVectorsFormatTestCase.Options POSITIONS_AND_OFFSETS

#### POSITIONS_AND_PAYLOADS

    public static final BaseTermVectorsFormatTestCase.Options POSITIONS_AND_PAYLOADS

#### POSITIONS_AND_OFFSETS_AND_PAYLOADS

    public static final BaseTermVectorsFormatTestCase.Options POSITIONS_AND_OFFSETS_AND_PAYLOADS

### Method Detail

#### values

    public static BaseTermVectorsFormatTestCase.Options[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BaseTermVectorsFormatTestCase.Options c : BaseTermVectorsFormatTestCase.Options.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BaseTermVectorsFormatTestCase.Options valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null